Page MenuHomePhabricator

Private wikis need to override "wikimedia-copyright" message
Open, MediumPublic

Description

Currently private wikis need to override the "wikimedia-copyright" message to indicate that the content is not licensed as CC-BY-SA-3.0.

You can see this by going to any private wiki (otrswiki, ombudsmenwiki, stewardwiki) and looking at the message displayed, and what is shown with ?uselang=qqx.

This becomes a problem when no one overrides the message, as is the case at arbcomenwiki: http://arbcom.en.wikipedia.org/wiki/Main_Page which says that content is licensed under a CC-BY-SA license, which probably isnt the case.


Version: unspecified
Severity: normal

Details

Reference
bz45767

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:21 AM
bzimport set Reference to bz45767.
Legoktm created this task.Mar 6 2013, 9:56 AM

Just out of curiosity: why wouldn't the content of private wikis be freely licenced?

Because keeping it copyrighted means that it can't be reproduced without violating the license, which is what we want on private wikis.

For private wikis, the current default footer text is:


Text is available under the <a href="//creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution/Share-Alike License</a>;
additional terms may apply.

See <a href="//wikimediafoundation.org/wiki/Terms_of_Use">Terms of Use</a> for details.

Looking at various private wikis, it seems there's currently a mixture:

Do we know what a sensible default would be for this message? If so, it's a trivial change to implement. Copying a few folks who might have suggestions.

I don't think you can just change the license like this (maybe WMF's legal team can advise on that), and I don't agree with the idea of using copyright to try to enforce such things which tempts me towards wontfix.

All the current edits are licensed under CC-BY-SA-3.0 (or as otherwise indicated on the wiki).... You can't just magically change that, You will need to get legal to sort out what needs to be done re-licensing wise.

WONTFIX till further discussions happen elsewhere and a plan is brought forward to action this.

Legal is already CCed on this. I think the idea of the bug is that *new* private WMF wikis may want a different default from the public WMF wikis. I don't think that's necessarily a WONTFIX.

Re-licensing may be possible in some cases, but that's a separate issue.

Comment 4 and comment 5 seem to be under the assumption that the content was properly released under a free license. That isn't necessarily the case. The footer may simply be wrong and nobody ever got around to fixing it. :-)

(In reply to comment #6)

Legal is already CCed on this. I think the idea of the bug is that *new*
private WMF wikis may want a different default from the public WMF wikis.

This bug is not simply about new wikis. As I understand it, the content on private wikis has never been released under a free license, regardless of what the default Wikimedia wiki footer says. It's a default footer and may not be applicable to every wiki; this bug focuses on whether it's applicable to private wikis, which I believe it is not.

As I understand it, as is the case with any mistake made in good faith, the footer simply being wrong, while unfortunate and in need of possible correction, wouldn't mean that contributions made to the wikis are necessarily released under a free license. There are other pieces involved, such as whether the contributor was acting on behalf of an organization (which is applicable for some private wikis), whether there was a competing document that contributors agreed to (for example, a non-disclosure or confidentiality agreement that explicitly removed the possibility of releasing content under a free license), or whether the contributors even owned the copyright on the content they released.

For example, while I can certainly post a Robert Frost poem to the wiki and the wiki may explicitly say that such a contribution is released under a free license, that obviously doesn't mean that the content is now free.

There's a lot of nuance here (more than I think some of the comments give credit for) and my personal suspicion is that the footer is wrong and simply has been wrong for a while. I suppose it's possible that the content is released under a free license, but not made publicly available, but whether _that_ is possible is also probably a tricky question. Some further clarification here would be good.

I agree with MZ that further clarification (really, some historical research) is necessary. I'll tackle that, but only after Wikimania.

Three big replies/comments, based on this bug and reviews of the wikis I have access to (amusingly, not all the ones listed here :):

  1. Using copyright to go after someone for copying material from a confidential wiki would be a bad idea, even if technically legally correct. The right tool for the job is a specific confidentiality policy (e.g., like otrs-wiki). If we're missing confidentiality policies on confidential wikis, let legal know and we can work on fixing that.
  1. It is very confusing to have conflicting legal terms; using a CC license for confidential wikis is a great example of this. To avoid this sort of confusion, the default should be some sort of rights-reserved notice on wikis that are intended to be confidential. Could be "CC applies to anything that is not confidential" or could be more restrictive- not clear to me what the best answer is, just something other than straight-up CC. Question to help clear that up: exactly what set of wikis get the default text Max described in comment #3? all Mediawiki installs? all wikis created by WMF ops? all "private" wikis created by WMF ops (for some value of private)? ... ? An answer to that will help me draft a better new default.
  1. Max and others in this thread have also pointed out that it isn't clear what license the material was created under. That's a case-by-case problem that'll have to be investigated on a wiki-by-wiki basis; if someone can create separate bugs for each wiki we know about that is (1) supposed to be private and (2) has a CC license in the footer right now, I'd appreciate it and I'll do my best to investigate the history and figure out what is going on. (Realistically, likely our next batch of interns, not me.) Let's leave this bug as being about the overall default for generic private wikis, rather than drilling down into specific historical wiki problems.

Thanks...

(In reply to comment #9)

  1. Max and others in this thread have also pointed out that it isn't clear

what
license the material was created under. That's a case-by-case problem that'll
have to be investigated on a wiki-by-wiki basis; if someone can create
separate
bugs for each wiki we know about that is (1) supposed to be private and (2)
has
a CC license in the footer right now, I'd appreciate it and I'll do my best
to
investigate the history and figure out what is going on.

Luis, you know that there are about 20 [[m:private wikis]] just for internal WMF matters, don't you? An analysis of their status (in terms of viability: activity. confidentiality, copyright) is long overdue, it would indeed be very nice to get some interns work on that. If you still desire them, I can create the individual bug reports.

On the general discussion above, I'd think that the general provisions (e.g. the terms of use) apply unless explicitly contradicted and that the interface should reflect the default copyright status regardless of exceptions (however numerous), which should instead be noted on the individual pages. Most private wikis are used by WMF staff, whose contributions are – by contract – under a free license.

(In reply to comment #9)

  1. Max and others in this thread have also pointed out that it isn't clear

what
license the material was created under. That's a case-by-case problem that'll
have to be investigated on a wiki-by-wiki basis; if someone can create
separate
bugs for each wiki we know about that is (1) supposed to be private and (2)
has
a CC license in the footer right now, I'd appreciate it and I'll do my best
to
investigate the history and figure out what is going on. (Realistically,
likely
our next batch of interns, not me.) Let's leave this bug as being about the
overall default for generic private wikis, rather than drilling down into
specific historical wiki problems.

I created bug 53140 for this

(In reply to comment #10)

On the general discussion above, I'd think that the general provisions (e.g.
the terms of use) apply unless explicitly contradicted and that the interface
should reflect the default copyright status regardless of exceptions (however
numerous), which should instead be noted on the individual pages. Most
private
wikis are used by WMF staff, whose contributions are – by contract – under a
free license.

https://gerrit.wikimedia.org/r/85255 is a related commit which seems to implement this solution, although in core for some reason.

In core because it came up in the context of mobile; see bug 53595 for discussion.

The commit does seem valid for third-party wikis. Third-party wikis, regardless of whether they use Commons, often have images under different licenses from the main license.

(In reply to comment #14)

The commit does seem valid for third-party wikis. Third-party wikis,
regardless of whether they use Commons, often have images under different
licenses from the main license.

But that's not a feature provided by vanilla core. Anyway, I think we're going offtopic. :)

So, for generic private wikis I'd like to propose using this language:

"This wiki is private, and you may have agreed to keep the information in it confidential. Where confidentiality obligations do not apply, material in the wiki is available under CC BY-SA 3.0. By using this site, you also agree to the Terms of Use and Privacy Policy." [Linkify as appropriate.]

If the wiki clearly/definitely has an applicable confidentiality agreement, "may" would be removed and "have agreed to keep the information in it confidential" would be linked to the appropriate confidentiality agreement.

For sites where the footer appears to claim copyright for the Foundation, I'm comfortable replacing it with this - in many instances, the claim appears to be inaccurate, and where it is accurate, we can license it under CC when it isn't confidential information.

This is obviously not ideal, and we can continue to look at the details to help make it more clear/specific for particular wikis. But I think it strikes a good balance of (1) being footer-sized (2) reminding people of their obligations and (3) stating that where the obligations aren't applicable, CC is assumed to be the default.

Thoughts/suggestions/etc. welcome.

That seems fine to me. It's clear and to the point.

I'm not the lawyer, though. :)

Luis: Still working on this / more input needed, or is your last comment here "sufficient"? Asking as you are set as assignee of this ticket.

Yeah, sorry, I should have reassigned.

Legoktm removed Legoktm as the assignee of this task.Feb 9 2015, 9:48 PM
Legoktm set Security to None.
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptApr 10 2016, 6:28 PM
ZhouZ moved this task from Backlog to Assigned on the WMF-Legal board.Apr 14 2016, 1:21 AM
ZhouZ added a subscriber: ZhouZ.
In T47767#496338, LuisV_WMF wrote:

So, for generic private wikis I'd like to propose using this language:

"This wiki is private, and you may have agreed to keep the information in it confidential. Where confidentiality obligations do not apply, material in the wiki is available under CC BY-SA 3.0. By using this site, you also agree to the Terms of Use and Privacy Policy." [Linkify as appropriate.]

Not an US lawyer, but taking basic contract law concepts, the confidentiality agreement links the signatory of the NDA with the WMF, but third party sites where the information might be published are not part of the covenant. In the event the information is leaked, how could the WMF ask for the take-down of such info on third-party sites if it is freely licensed anyway? All rights reserved at least, unless I'm wrong, could allow the WMF to send DMCAs. Maybe @Jalexander or @Mdennis-WMF could weight in since Luis departed the Foundation...

<not a lawyer disclaimer>

I don't know that you could use a DMCA to take down leaked information. Information per se can generally not be copyrighted. There is also the relicensing issues (of content that was previously released under a license) to consider.

Might want to ask the WMF whether one can request take downs of private information on reasons other than copyright, though.

@MarcoAurelio @JEumerus A DMCA isn't really effective for a leak. Even if one could DMCA a specific page, the leaked info would either not be copyrightable or could simply be paraphrased.

More generally, I like the footer Luis suggested back in 2014 because it helps remind people what the obligations are, so they don't think they're free to share confidential things but do understand that materials are still CC licensed unless there's some specific reason they're not allowed to share.

With regard to dealing with private info, the methods vary. Typically, if somebody breaks an NDA or confidentiality agreement, one can go to a court and get an order forcing the person to take down info, and that can extend to third parties in some cases (arguably too many cases, sometimes courts are too free ordering people to remove things).

Hope that helps with understanding the situation.

@Jrogers-WMF: Yes, that's helpful, thank you.

gpaumier removed a subscriber: gpaumier.Jul 18 2018, 5:57 PM